import request from '@/utils/request'

// 查询用户仪器绑定列表
export function listUserInstrument(query) {
  return request({
    url: '/system/userInstrument/list',
    method: 'get',
    params: query
  })
}

// 查询用户仪器绑定详细
export function getInstrument(id) {
  return request({
    url: '/system/userInstrument/' + id,
    method: 'get'
  })
}

// 新增用户仪器绑定
export function addInstrument(data) {
  return request({
    url: '/system/userInstrument',
    method: 'post',
    data: data
  })
}

// 修改用户仪器绑定
export function updateInstrument(data) {
  return request({
    url: '/system/userInstrument',
    method: 'put',
    data: data
  })
}

// 删除用户仪器绑定
export function delInstrument(id) {
  return request({
    url: '/system/userInstrument/' + id,
    method: 'delete'
  })
}

// 换绑序列号
export function changeSerial(data) {
  return request({
    url: '/system/userInstrument/changeSerial',
    method: 'put',
    data: data
  })
}

// 变更保修日期
export function changeGuarantee(data) {
  return request({
    url: '/system/userInstrument/changeGuarantee',
    method: 'put',
    data: data
  })
}

